- Erste Schritte
- Authentication
- Scopes und Berechtigungen
- Plattformverwaltungs-APIs
Test Cloud-API-Handbuch
Use this endpoint to retrieve a daily breakdown of consumption by service for a specific tenant.
API-Endpunkt
POST {accessURL}/lease_/api/usage/{organizationId}/tenants/daily-consumption-by-service
Ersetzen Sie {accessURL} in allen Endpunktpfaden durch die Basis-URL für Ihre Cloud-Plattform:
| Cloud Platform | Zugriffs-URL |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud Public Sector | https://govcloud.uipath.us/ |
| Test Cloud Dedicated. | https://{customURL}.dedicated.uipath.com/ |
Anforderungsheader
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
Um das {access_token} zu erhalten, müssen Sie sich mit der hier beschriebenen ROPC-Methode authentifizieren.
Pfadparameter
| Pfadparameter | Datentyp | Beschreibung |
|---|---|---|
organizationId (erforderlich) | Zeichenfolge (GUID) | Die ID der Organisation, in der sich Ihr Mandant befindet. |
Anforderungstext
The request body specifies the tenant, date range, consumable code, and optional filters. For a detailed list of consumable codes, refer to Consumables.
{
"tenantId": "string",
"startDate": 0,
"endDate": 0,
"consumableCode": "string",
"aggregateByOwnership": false,
"folderKeys": ["string"]
}
{
"tenantId": "string",
"startDate": 0,
"endDate": 0,
"consumableCode": "string",
"aggregateByOwnership": false,
"folderKeys": ["string"]
}
startDateandendDateare Unix timestamps in milliseconds.aggregateByOwnershipis optional (default:false). When set totrue, consumption is aggregated by the folder that owns the process rather than where it ran.folderKeysis optional. Provide a list of folder GUIDs to filter results to specific folders only.
Antworten
200 OK
Returns a list of daily consumption records grouped by service for the specified tenant.
Beispielanforderung
Der Aufruf sollte dem folgenden Beispiel ähneln (cURL):
curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/daily-consumption-by-service' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
"tenantId": "string",
"startDate": 1704067200000,
"endDate": 1706745600000,
"consumableCode": "consumption_unit_code"
}'
curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/daily-consumption-by-service' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
"tenantId": "string",
"startDate": 1704067200000,
"endDate": 1706745600000,
"consumableCode": "consumption_unit_code"
}'
Here's the response body for a successful daily consumption retrieval:
{
"items": [
{
"date": "2024-01-15",
"service": "string",
"consumedAmount": 0
}
]
}
{
"items": [
{
"date": "2024-01-15",
"service": "string",
"consumedAmount": 0
}
]
}